LegalStack

Импорт табличных файлов

Импорт и экспорт файлов.

Создать реестр из файла

POST
/api/v1/integrations/file/create-registry
АвторизацияBearer <токен>

В: header

Тело запроса

multipart/form-data

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

curl -X POST "https://loading/api/v1/integrations/file/create-registry" \  -F file="string"
{
  "errors": [
    null
  ],
  "imported": 0,
  "success": true,
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Импортировать файл в реестр

POST
/api/v1/integrations/file/import
АвторизацияBearer <токен>

В: header

Тело запроса

multipart/form-data

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

curl -X POST "https://loading/api/v1/integrations/file/import" \  -F file="string"
{
  "errors": [
    null
  ],
  "imported": 0,
  "success": true,
  "property1": null,
  "property2": null
}

Предпросмотр импорта файла в реестр

POST
/api/v1/integrations/file/preview
АвторизацияBearer <токен>

В: header

Тело запроса

multipart/form-data

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

curl -X POST "https://loading/api/v1/integrations/file/preview" \  -F file="string"
{
  "errors": [
    null
  ],
  "imported": 0,
  "success": true,
  "property1": null,
  "property2": null
}